Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class SectionConverter

    java.lang.Object
      writer2latex.latex.ConverterHelper
          writer2latex.latex.SectionConverter

    public class SectionConverter

extends ConverterHelper

This class creates LaTeX code from OOo sections.

Sections are converted to multicols environments using `multicol.sty`

Field Summary
`private boolean` | `bNeedMulticol`
`private ExportNameCollection` | `fileNames`

Fields inherited from class writer2latex.latex.ConverterHelper
`config, ofr, palette`

Constructor Summary
`SectionConverter(OfficeReader ofr, Config config, ConverterPalette palette)` Constructs a new `SectionStyleConverter`.

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`private void` | `applySectionStyle(java.lang.String sStyleName, BeforeAfter ba, Context context)`
`void` | `handleSection(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)` Process a section (text:section tag)
`private boolean` | `isToplevel(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bNeedMulticol

    private boolean bNeedMulticol

### fileNames

    private ExportNameCollection fileNames

Constructor Detail

### SectionConverter

    public SectionConverter(OfficeReader ofr,
                            Config config,
                            ConverterPalette palette)

  Constructs a new `SectionStyleConverter`.

Method Detail

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

  Overrides:
    `appendDeclarations` in class `ConverterHelper`

### handleSection

    public void handleSection(org.w3c.dom.Element node,
                              LaTeXDocumentPortion ldp,
                              Context oc)

  Process a section (text:section tag)

  Parameters:
    ``node`` - The element containing the section
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

### applySectionStyle

    private void applySectionStyle(java.lang.String sStyleName,
                                   BeforeAfter ba,
                                   Context context)

### isToplevel

    private boolean isToplevel(org.w3c.dom.Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD